PatternsEditor.PACTableModel (SelekTOR Java Documentation)
Date: 2017-04-14

client

## Class PatternsEditor.PACTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - client.PatternsEditor.PACTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel
  Enclosing class:
    PatternsEditor

      public class PatternsEditor.PACTableModel
      extends javax.swing.table.DefaultTableModel

  PACTableModel class
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.DefaultTableModel

      `columnIdentifiers, dataVector`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PACTableModel()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(java.lang.Object[] obj, boolean editable)`
    `java.lang.Class` | `getColumnClass(int columnIndex)` Get column class
    `int` | `getColumnCount()` Get column count as integer
    `java.lang.String` | `getColumnName(int index)` Get column name at given index
    `boolean` | `isCellEditable(int row, int column)` Test if cell at given row, col is editable
    `void` | `setColumnName(java.lang.String name, int index)` Set the column name at the specified index
    `java.lang.String` | `toString()` Returns all data as a single string

    - ### Methods inherited from class javax.swing.table.DefaultTableModel

      `addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getDataVector, getRowCount, getValueAt, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount, setValueAt`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PACTableModel

          public PACTableModel()

      Constructor

  - ### Method Detail

    - #### addRow

          public void addRow(java.lang.Object[] obj,
                             boolean editable)

    - #### getColumnCount

          public int getColumnCount()

      Get column count as integer
      Specified by:
        `getColumnCount` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnCount` in class `javax.swing.table.DefaultTableModel`
      Returns:
        columns as integer

    - #### getColumnClass

          public java.lang.Class getColumnClass(int columnIndex)

      Get column class
      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`
      Parameters:
        `columnIndex` -
      Returns:
        object Class

    - #### isCellEditable

          public boolean isCellEditable(int row,
                                        int column)

      Test if cell at given row, col is editable
      Specified by:
        `isCellEditable` in interface `javax.swing.table.TableModel`
      Overrides:
        `isCellEditable` in class `javax.swing.table.DefaultTableModel`
      Parameters:
        `row` -
        `column` -
      Returns:
        True if editable

    - #### getColumnName

          public java.lang.String getColumnName(int index)

      Get column name at given index
      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.DefaultTableModel`
      Parameters:
        `index` -
      Returns:
        name as string

    - #### setColumnName

          public void setColumnName(java.lang.String name,
                                    int index)

      Set the column name at the specified index
      Parameters:
        `name` -
        `index` -

    - #### toString

          public java.lang.String toString()

      Returns all data as a single string
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string